Bug 225719 - Merge Review: efax
Summary: Merge Review: efax
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:31 UTC by Nobody's working on this, feel free to take it
Modified: 2010-09-30 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-30 15:31:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:31:51 UTC
Fedora Merge Review: efax

http://cvs.fedora.redhat.com/viewcvs/devel/efax/
Initial Owner: than@redhat.com

Comment 1 Jaroslav Reznik 2009-11-27 13:35:39 UTC
- rpmlint: NOT OK!!!
efax.src: W: summary-ended-with-dot A program for faxing using a Class 1, 2 or 2.0 fax modem.
efax.x86_64: W: log-files-without-logrotate /var/log/fax

- spec file name: OK
- package name: OK
- package version: release should start with 0., alpha tag should go to release instead version
according to Package Guidelines but as this package can be considered as successor to 0.9 (not
pre 0.9) this is OK
- license: OK
- group: OK
- url: OK
- sources URL: FAILED to download tarball
    * correct URL http://www.cce.com/efax/download/efax-0.9a-001114.tar.gz
- md5sum: OK (compared to upstream tarball above)
- exclude arch: no rules for s390, OK
- buildroot: OK
- requires: make and probably netpbm-progs (?) should be BuildRequires, not Requires, NOT OK!!!
- description: OK
- build flags: missing smp_mflags, custom build flags?, NOT OK!!!
- macros used consistently: OK
- clean section: OK
- file attributes: OK
- docs: OK
- package owns directories: OK
- no duplicate files: OK
 
- package builds on: F-12/x86_64 OK

Than, please fix/comment issues.

Comment 2 Ngo Than 2010-09-29 13:36:28 UTC
(In reply to comment #1)
> - rpmlint: NOT OK!!!
> efax.src: W: summary-ended-with-dot A program for faxing using a Class 1, 2 or
> 2.0 fax modem.
> efax.x86_64: W: log-files-without-logrotate /var/log/fax
> 
fixed in efax-0.9a-8.001114.fc15

> - package version: release should start with 0., alpha tag should go to release
> instead version
i don't want to add Epoch, please ignore

> according to Package Guidelines but as this package can be considered as
> successor to 0.9 (not
> pre 0.9) this is OK
> - requires: make and probably netpbm-progs (?) should be BuildRequires, not
> Requires, NOT OK!!!

make is required for Build -> BuildRequires: make
netpbm-progs is required to convert to fax format -> Requires: netpbm-progs


> - build flags: missing smp_mflags, custom build flags?, NOT OK!!!
fixed in efax-0.9a-8.001114.fc15
> 
> Than, please fix/comment issues.

Comment 3 Jaroslav Reznik 2010-09-30 15:14:16 UTC
Ok, 
thanks Than.

APPROVED


Note You need to log in before you can comment on or make changes to this bug.